Assign a user to a Page
curl --request POST \
--url https://api.aisa.one/apis/v1/ads/page-users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"businessId": "1234567890123",
"pageId": "123456789012345",
"tasks": [
"ADVERTISE",
"ANALYZE"
],
"userId": "1122334455"
}
'import requests
url = "https://api.aisa.one/apis/v1/ads/page-users"
payload = {
"businessId": "1234567890123",
"pageId": "123456789012345",
"tasks": ["ADVERTISE", "ANALYZE"],
"userId": "1122334455"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
businessId: '1234567890123',
pageId: '123456789012345',
tasks: ['ADVERTISE', 'ANALYZE'],
userId: '1122334455'
})
};
fetch('https://api.aisa.one/apis/v1/ads/page-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/ads/page-users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'businessId' => '1234567890123',
'pageId' => '123456789012345',
'tasks' => [
'ADVERTISE',
'ANALYZE'
],
'userId' => '1122334455'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/ads/page-users"
payload := strings.NewReader("{\n \"businessId\": \"1234567890123\",\n \"pageId\": \"123456789012345\",\n \"tasks\": [\n \"ADVERTISE\",\n \"ANALYZE\"\n ],\n \"userId\": \"1122334455\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/ads/page-users")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"businessId\": \"1234567890123\",\n \"pageId\": \"123456789012345\",\n \"tasks\": [\n \"ADVERTISE\",\n \"ANALYZE\"\n ],\n \"userId\": \"1122334455\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/ads/page-users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"businessId\": \"1234567890123\",\n \"pageId\": \"123456789012345\",\n \"tasks\": [\n \"ADVERTISE\",\n \"ANALYZE\"\n ],\n \"userId\": \"1122334455\"\n}"
response = http.request(request)
puts response.read_body{
"businessId": "<string>",
"pageId": "<string>",
"user": {
"id": "<string>",
"tasks": [
"<string>"
]
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"retryHint": "<string>",
"retryable": true,
"type": "<string>"
}
}AIsa Ads
Assign a user to a Page
Ad Accounts. Changes the ad account without starting or raising spend; audited. Gives a person in your business portfolio tasks on a Facebook Page, such as advertising, so they can run ads for it. The Page can be one the portfolio owns or was granted as a partner. Meta does not assign partner admins automatically, so after an owner shares a Page the partner calls this for the people whose tokens will advertise for it. `ADVERTISE` is what ad creation needs.
<!-- aisa-pricing:start -->
当前未提供请求参考价格;请使用接口支持的报价功能确认费用。 最终费用以账户适用价格及实际结算为准。
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
ads
/
page-users
Assign a user to a Page
curl --request POST \
--url https://api.aisa.one/apis/v1/ads/page-users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"businessId": "1234567890123",
"pageId": "123456789012345",
"tasks": [
"ADVERTISE",
"ANALYZE"
],
"userId": "1122334455"
}
'import requests
url = "https://api.aisa.one/apis/v1/ads/page-users"
payload = {
"businessId": "1234567890123",
"pageId": "123456789012345",
"tasks": ["ADVERTISE", "ANALYZE"],
"userId": "1122334455"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
businessId: '1234567890123',
pageId: '123456789012345',
tasks: ['ADVERTISE', 'ANALYZE'],
userId: '1122334455'
})
};
fetch('https://api.aisa.one/apis/v1/ads/page-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/ads/page-users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'businessId' => '1234567890123',
'pageId' => '123456789012345',
'tasks' => [
'ADVERTISE',
'ANALYZE'
],
'userId' => '1122334455'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/ads/page-users"
payload := strings.NewReader("{\n \"businessId\": \"1234567890123\",\n \"pageId\": \"123456789012345\",\n \"tasks\": [\n \"ADVERTISE\",\n \"ANALYZE\"\n ],\n \"userId\": \"1122334455\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/ads/page-users")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"businessId\": \"1234567890123\",\n \"pageId\": \"123456789012345\",\n \"tasks\": [\n \"ADVERTISE\",\n \"ANALYZE\"\n ],\n \"userId\": \"1122334455\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/ads/page-users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"businessId\": \"1234567890123\",\n \"pageId\": \"123456789012345\",\n \"tasks\": [\n \"ADVERTISE\",\n \"ANALYZE\"\n ],\n \"userId\": \"1122334455\"\n}"
response = http.request(request)
puts response.read_body{
"businessId": "<string>",
"pageId": "<string>",
"user": {
"id": "<string>",
"tasks": [
"<string>"
]
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"retryHint": "<string>",
"retryable": true,
"type": "<string>"
}
}请求规范
- 方法与路径: POST /apis/v1/ads/page-users
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/ads/page-users - connectionId: query; 必填
- Runtime 事实版本: fe60122939c67dc98a3a6ac6b97bd5c326b526105150c8959304dd2160d4dd09
{
"operationId": "post_aisa_ads_apis_v1_ads_page_users",
"method": "POST",
"path": "/apis/v1/ads/page-users",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"description": "The ads connection (adc_...) the request runs on: one of yours, from GET /apis/v1/ads/connections. On a request with a JSON body it may be sent as a top-level body member instead.",
"in": "query",
"name": "connectionId",
"required": true,
"schema": {
"pattern": "^adc_[0-9A-Za-z]+$",
"type": "string"
}
}
],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"example": {
"businessId": "1234567890123",
"connectionId": "adc_7f3k2m9q",
"pageId": "123456789012345",
"tasks": [
"ADVERTISE",
"ANALYZE"
],
"userId": "1122334455"
},
"schema": {
"additionalProperties": true,
"properties": {
"businessId": {
"description": "Business portfolio the user belongs to.",
"type": "string"
},
"connectionId": {
"description": "The ads connection (adc_...), when not sent as the connectionId query parameter.",
"pattern": "^adc_[0-9A-Za-z]+$",
"type": "string"
},
"pageId": {
"description": "Facebook Page id.",
"type": "string"
},
"tasks": {
"items": {
"enum": [
"MANAGE",
"CREATE_CONTENT",
"MODERATE",
"MESSAGING",
"ADVERTISE",
"ANALYZE"
],
"type": "string"
},
"minItems": 1,
"type": "array"
},
"userId": {
"description": "Business-scoped user id from GET /apis/v1/ads/businesses/users.",
"type": "string"
}
},
"required": [
"businessId",
"pageId",
"tasks",
"userId"
],
"type": "object"
}
}
},
"required": true
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"description": "Ads operations are free. Ad spend is billed by the ad platform to the connected ad account, never by AIsa.",
"kind": "no_customer_charge"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
当前未提供请求参考价格;请使用接口支持的报价功能确认费用。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
The ads connection (adc_...) the request runs on: one of yours, from GET /apis/v1/ads/connections. On a request with a JSON body it may be sent as a top-level body member instead.
Pattern:
^adc_[0-9A-Za-z]+$请求体
application/json
Business portfolio the user belongs to.
Facebook Page id.
Minimum array length:
1可用选项:
MANAGE, CREATE_CONTENT, MODERATE, MESSAGING, ADVERTISE, ANALYZE Business-scoped user id from GET /apis/v1/ads/businesses/users.
The ads connection (adc_...), when not sent as the connectionId query parameter.
Pattern:
^adc_[0-9A-Za-z]+$